# Method: accounts.dataSources.fileUploads.get

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads/get#try-it)

Gets the latest data source file upload. Only the `latest` alias is accepted for a file upload.

### HTTP request

`GET https://merchantapi.googleapis.com/datasources/v1/{name=accounts/*/dataSources/*/fileUploads/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the data source file upload to retrieve. Format: `accounts/{account}/dataSources/{datasource}/fileUploads/latest` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources.fileUploads#FileUpload`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).